use winit::event_loop::{ControlFlow, EventLoop};

use bevy_app::{App, AppExit};

pub mod game;

fn main() {
    env_logger::init();

    let mut app = App::default();
    game::init(&mut app);
    match app.run() {
        AppExit::Success => {}
        AppExit::Error(e) => {
            log::error!("Error running new app: {e}");
        }
    }
}
